package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.meapi.model.Router;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-02
 */
public interface RouterService extends IService<Router> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<Router> selectPage(FrontPage<Router> frontPage, Router router);

    List<Router> selectList(Router router);

    Router getRouterBySfcBo(String sfcBo);

    Router getCurrentRouter(String routerBo);

    /**
     * 查询最大版本的工艺路线
     *
     * @param site
     * @param router
     * @return
     */
    Router getMaxRevisionRouter(String site, String router);
}